Subject: Re: [PATCH 8/16] powerpc: add ps3 platform hvcalls

From: Arnd Bergmann <[email-masked]>
Date: Sat, 11 Nov 2006 03:13:40 +0100

On Friday 10 November 2006 21:02, Geoff Levand wrote:
> Adds the ps3pf hvcalls.
> 
> Signed-off-by: Geoff Levand <[email-masked]>

This one reminds of the inline hcall abstraction layer I did
some time ago. The implementation in your patch is a lot
less elegant than both the pseries in its current incarnation
and the one that I did (IMHO). Any opinions on how we should
proceed here?

I can dig out my patch again in the version I did for the
ps3 hypervisor, if there is demand, or I could help moving
over so code that is more like the pseries one. Unfortunately
the calling conventions are very different from pseries 
(the hcall number is passed in r11, not in one of the argument
registers), so that would not be as nice as Anton's implementation.

	Arnd <><